com.amazonaws.services.lambda.model

## Class AccountLimit

- java.lang.Object
- - com.amazonaws.services.lambda.model.AccountLimit

All Implemented Interfaces:
  Serializable, Cloneable

    public class AccountLimit
    extends Object
    implements Serializable, Cloneable

Provides limits of code size and concurrency associated with the current account and region.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AccountLimit()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AccountLimit` `clone()`
`boolean` `equals(Object obj)`
`Long` `getCodeSizeUnzipped()` Size, in bytes, of code/dependencies that you can zip into a deployment package (uncompressed zip/jar size) for uploading.
`Long` `getCodeSizeZipped()` Size, in bytes, of a single zipped code/dependencies package you can upload for your Lambda function(.zip/.jar file).
`Integer` `getConcurrentExecutions()` Number of simultaneous executions of your function per region.
`Long` `getTotalCodeSize()` Maximum size, in megabytes, of a code package you can upload per region.
`int` `hashCode()`
`void` `setCodeSizeUnzipped(Long codeSizeUnzipped)` Size, in bytes, of code/dependencies that you can zip into a deployment package (uncompressed zip/jar size) for uploading.
`void` `setCodeSizeZipped(Long codeSizeZipped)` Size, in bytes, of a single zipped code/dependencies package you can upload for your Lambda function(.zip/.jar file).
`void` `setConcurrentExecutions(Integer concurrentExecutions)` Number of simultaneous executions of your function per region.
`void` `setTotalCodeSize(Long totalCodeSize)` Maximum size, in megabytes, of a code package you can upload per region.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`AccountLimit` `withCodeSizeUnzipped(Long codeSizeUnzipped)` Size, in bytes, of code/dependencies that you can zip into a deployment package (uncompressed zip/jar size) for uploading.
`AccountLimit` `withCodeSizeZipped(Long codeSizeZipped)` Size, in bytes, of a single zipped code/dependencies package you can upload for your Lambda function(.zip/.jar file).
`AccountLimit` `withConcurrentExecutions(Integer concurrentExecutions)` Number of simultaneous executions of your function per region.
`AccountLimit` `withTotalCodeSize(Long totalCodeSize)` Maximum size, in megabytes, of a code package you can upload per region.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AccountLimit

    public AccountLimit()

### Method Detail

#### setTotalCodeSize

    public void setTotalCodeSize(Long totalCodeSize)

Maximum size, in megabytes, of a code package you can upload per region. The default size is 75 GB.

Parameters:
  `totalCodeSize` - Maximum size, in megabytes, of a code package you can upload per region. The default size is 75 GB.

#### getTotalCodeSize

    public Long getTotalCodeSize()

Maximum size, in megabytes, of a code package you can upload per region. The default size is 75 GB.

Returns:
  Maximum size, in megabytes, of a code package you can upload per region. The default size is 75 GB.

#### withTotalCodeSize

    public AccountLimit withTotalCodeSize(Long totalCodeSize)

Maximum size, in megabytes, of a code package you can upload per region. The default size is 75 GB.

Parameters:
  `totalCodeSize` - Maximum size, in megabytes, of a code package you can upload per region. The default size is 75 GB.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCodeSizeUnzipped

    public void setCodeSizeUnzipped(Long codeSizeUnzipped)

Size, in bytes, of code/dependencies that you can zip into a deployment package (uncompressed zip/jar size) for uploading. The default limit is 250 MB.

Parameters:
  `codeSizeUnzipped` - Size, in bytes, of code/dependencies that you can zip into a deployment package (uncompressed zip/jar size) for uploading. The default limit is 250 MB.

#### getCodeSizeUnzipped

    public Long getCodeSizeUnzipped()

Size, in bytes, of code/dependencies that you can zip into a deployment package (uncompressed zip/jar size) for uploading. The default limit is 250 MB.

Returns:
  Size, in bytes, of code/dependencies that you can zip into a deployment package (uncompressed zip/jar size) for uploading. The default limit is 250 MB.

#### withCodeSizeUnzipped

    public AccountLimit withCodeSizeUnzipped(Long codeSizeUnzipped)

Size, in bytes, of code/dependencies that you can zip into a deployment package (uncompressed zip/jar size) for uploading. The default limit is 250 MB.

Parameters:
  `codeSizeUnzipped` - Size, in bytes, of code/dependencies that you can zip into a deployment package (uncompressed zip/jar size) for uploading. The default limit is 250 MB.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCodeSizeZipped

    public void setCodeSizeZipped(Long codeSizeZipped)

Size, in bytes, of a single zipped code/dependencies package you can upload for your Lambda function(.zip/.jar file). Try using AWS S3 for uploading larger files. Default limit is 50 MB.

Parameters:
  `codeSizeZipped` - Size, in bytes, of a single zipped code/dependencies package you can upload for your Lambda function(.zip/.jar file). Try using AWS S3 for uploading larger files. Default limit is 50 MB.

#### getCodeSizeZipped

    public Long getCodeSizeZipped()

Size, in bytes, of a single zipped code/dependencies package you can upload for your Lambda function(.zip/.jar file). Try using AWS S3 for uploading larger files. Default limit is 50 MB.

Returns:
  Size, in bytes, of a single zipped code/dependencies package you can upload for your Lambda function(.zip/.jar file). Try using AWS S3 for uploading larger files. Default limit is 50 MB.

#### withCodeSizeZipped

    public AccountLimit withCodeSizeZipped(Long codeSizeZipped)

Size, in bytes, of a single zipped code/dependencies package you can upload for your Lambda function(.zip/.jar file). Try using AWS S3 for uploading larger files. Default limit is 50 MB.

Parameters:
  `codeSizeZipped` - Size, in bytes, of a single zipped code/dependencies package you can upload for your Lambda function(.zip/.jar file). Try using AWS S3 for uploading larger files. Default limit is 50 MB.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setConcurrentExecutions

    public void setConcurrentExecutions(Integer concurrentExecutions)

Number of simultaneous executions of your function per region. For more information or to request a limit increase for concurrent executions, see Lambda Function Concurrent Executions. The default limit is 100.

Parameters:
  `concurrentExecutions` - Number of simultaneous executions of your function per region. For more information or to request a limit increase for concurrent executions, see Lambda Function Concurrent Executions. The default limit is 100.

#### getConcurrentExecutions

    public Integer getConcurrentExecutions()

Number of simultaneous executions of your function per region. For more information or to request a limit increase for concurrent executions, see Lambda Function Concurrent Executions. The default limit is 100.

Returns:
  Number of simultaneous executions of your function per region. For more information or to request a limit increase for concurrent executions, see Lambda Function Concurrent Executions. The default limit is 100.

#### withConcurrentExecutions

    public AccountLimit withConcurrentExecutions(Integer concurrentExecutions)

Number of simultaneous executions of your function per region. For more information or to request a limit increase for concurrent executions, see Lambda Function Concurrent Executions. The default limit is 100.

Parameters:
  `concurrentExecutions` - Number of simultaneous executions of your function per region. For more information or to request a limit increase for concurrent executions, see Lambda Function Concurrent Executions. The default limit is 100.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public AccountLimit clone()

Overrides:
  `clone` in class `Object`